{$I DacDemo.inc}

unit MultiCursors;

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
{$IFDEF KYLIX}
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs, QStdCtrls,
  QDBCtrls, QComCtrls, QExtCtrls, QGrids, QDBGrids, QButtons, OdacClx,
{$ELSE}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, ExtCtrls, Grids, DBGrids, StdCtrls, ToolWin, ComCtrls, Buttons,
  OdacVcl,
{$ENDIF}
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DB, {$IFNDEF FPC}MemDS{$ELSE}MemDataSet{$ENDIF},
  OraSmart, DBAccess, Ora, OdacDemoFrame, OdacDemoForm;
  
type
  TMultiCursorsFrame = class(TOdacDemoFrame)
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    ToolBar: TPanel;
    Query1: TOraQuery;
    DBGrid2: TDBGrid;
    DataSource2: TDataSource;
    Query2: TSmartQuery;
    Panel2: TPanel;
    DBNavigator: TDBNavigator;
    btClose: TSpeedButton;
    btOpen: TSpeedButton;
    Splitter1: TSplitter;
    procedure btOpenClick(Sender: TObject);
    procedure btCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    procedure Initialize; override;
    procedure SetDebug(Value: boolean); override;
  end;

implementation
uses
  OraCall;

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

procedure TMultiCursorsFrame.btOpenClick(Sender: TObject);
begin
  Query1.Open;
  Query2.Cursor:= Query1.ParamByName('Cur2').AsCursor;
  Query2.Open;
end;

procedure TMultiCursorsFrame.btCloseClick(Sender: TObject);
begin
  Query1.Close;
  Query2.Close;
end;

procedure TMultiCursorsFrame.Initialize;
begin
  inherited;

  Query1.Connection := Connection;
  Query2.Connection := Connection;
end;

procedure TMultiCursorsFrame.SetDebug(Value: boolean);
begin
  Query1.Debug := Value;
  Query2.Debug := Value;
end;

initialization
{$IFDEF FPC}
{$I MultiCursors.lrs}
{$ENDIF}

end.
